Subject: Re: Postinstall hangs with bash
From: "Linda W." <[email-masked]>
To: [email-masked]
Date: Wed, 01 Oct 2003 23:41:59 -0700

I get the same hang...I downloaded the latest setup, this morning, took 
all the standard sets and added a few
Xfree items (like Xicons).

I come home after having had to "go over the hill" (santa cruz to 
silliputty valley), I find cygwin_setup
stuck at 99% complete:
Running...
No package
/etc/postinstall/XFree86-bin-icons.sh
Package:   xxxxxx
Total:     xxxxxxxxxxxxxxxxxxxxx
Disk:      xxxxxxxxxxxx

---------------
Available info: (Process explorer from sysinternals)

Process Info
Fields separated by semicolons:

Process; PID; CPU; Priority; Working Set; Threads; I/O Read Bytes; I/O 
Write Bytes; I/O Other Bytes; Page Faults; Description; User Name; 
Handles; Window Title; Start Time; Session ID; Private Bytes; Path; 
Command Line; Company Name; Peak Private Bytes; Version; Peak Working 
Set; USER Objects; GDI Objects; I/O Reads; I/O Writes; I/O Other
 cygwin_setup.exe; 3304; 00.00; 8; 21560 K; 3; 64090466; 162558279; 
17400827; 25894; ; Shiva\law; 135; 99% - Cygwin Setup; 9:36:06a 
2003-10-01; 0; 17000 K; \\Ishtar\share\software\Cygwin\cygwin_setup.exe; 
"\\Ishtar\share\software\Cygwin\cygwin_setup.exe" ; ; 20868 K; ; 25348 
K; 112; 63; 9948; 21136; 266838
  sh.exe; 324; 00.00; 8; 2020 K; 3; 13190; 0; 124266; 512; ; Shiva\law; 
82; ; 11:55:33a 2003-10-01; 0; 1292 K; C:\bin\sh.exe; C:\\bin\sh.exe -c 
/etc/postinstall/XFree86-bin-icons.sh; ; 1300 K; ; 2032 K; 0; 4; 5; 0; 230
   sh.exe; 2540; 00.00; 8; 1620 K; 3; 9756; 0; 123958; 406; ; Shiva\law; 
78; ; 11:55:33a 2003-10-01; 0; 1116 K; C:\bin\sh.exe; C:\bin\sh.exe 
/etc/postinstall/XFree86-bin-icons.sh; ; 1124 K; ; 1636 K; 0; 0; 4; 0; 211
    bash.exe; 2824; 00.00; 8; 3056 K; 4; 16578; 0; 122930; 769; ; 
Shiva\law; 100; ; 11:55:33a 2003-10-01; 0; 1516 K; C:\bin\bash.exe; 
C:\bin\bash.exe /usr/X11R6/bin/XFree86-bin-icons.sh; ; 1516 K; ; 3056 K; 
0; 4; 134; 0; 263
     bash.exe; 1792; 00.00; 8; 2196 K; 3; 11582; 0; 128014; 551; ; 
Shiva\law; 85; ; 11:55:34a 2003-10-01; 0; 1584 K; C:\bin\bash.exe; 
C:\bin\bash.exe; ; 1588 K; ; 2208 K; 0; 4; 1; 0; 206
      bash.exe; 3700; 00.00; 8; 2152 K; 2; 11582; 0; 121680; 547; ; 
Shiva\law; 78; ; 11:55:34a 2003-10-01; 0; 1596 K; C:\bin\bash.exe; 
C:\bin\bash.exe; ; 1604 K; ; 2152 K; 0; 4; 1; 0; 198
       cygpath.exe; 3828; 00.00; 8; 968 K; 2; 0; 0; 36; 238; ; 
Shiva\law; 48; ; 11:55:34a 2003-10-01; 0; 876 K; C:\bin\cygpath.exe; 
C:\bin\cygpath.exe -A -P; ; 876 K; ; 968 K; 0; 0; 0; 0; 8

-------------

Process: cygpath.exe Pid: 3828

Base; Size; MM; Description; Version; Path; Time; Company Name; Image Base
0x0; 0x0; ; ; ; <Unable to query process module information>; ; ; 0x50454D4F
0x360000; 0x16000; *; ; ; C:\WINDOWS\system32\unicode.nls; 2001-08-18 
12:00p; ; 0x50454D4F
0x380000; 0x34000; *; ; ; C:\WINDOWS\system32\locale.nls; 2002-04-09 
6:17p; ; 0x50454D4F
0x3C0000; 0x6000; *; ; ; C:\WINDOWS\system32\sorttbls.nls; 2001-08-18 
12:00p; ; 0x50454D4F
0x410000; 0x41000; *; ; ; C:\WINDOWS\system32\sortkey.nls; 2001-08-18 
12:00p; ; 0x50454D4F

--------------

Handle; Type; Access; Name
0x7EC; Directory; 0x000F000F; \Windows
0x7F4; Directory; 0x00000003; \KnownDlls
0x748; Event; 0x001F0003;
0x7E0; Event; 0x001F0003;
0x7F0; Event; 0x00100003;
0x130; File; 0x00120089; 
\Device\LanmanRedirector\Ishtar\share\software\Cygwin\http%3a%2f%2fmirrors.kernel.org%2fsources.redhat.com%2fcygwin\release\docbook-xsl\docbook-xsl-1.62.3-1.tar.bz2
0x17C; File; 0x00120089; 
\Device\LanmanRedirector\Ishtar\share\software\Cygwin\http%3a%2f%2fmirrors.kernel.org%2fsources.redhat.com%2fcygwin\release\editrights\editrights-1.01-1.tar.bz2
0x184; File; 0x001F01FF; \Device\Afd\Endpoint
0x190; File; 0x00120089; 
\Device\LanmanRedirector\Ishtar\share\software\Cygwin\http%3a%2f%2fmirrors.kernel.org%2fsources.redhat.com%2fcygwin\release\libxml2\libxml2-2.5.11-1.tar.bz2
0x194; File; 0x00120089; 
\Device\LanmanRedirector\Ishtar\share\software\Cygwin\http%3a%2f%2fmirrors.kernel.org%2fsources.redhat.com%2fcygwin\release\gcc-mingw\gcc-mingw-20030911-3.tar.bz2
0x1BC; File; 0x00120089; 
\Device\LanmanRedirector\Ishtar\share\software\Cygwin\http%3a%2f%2fmirrors.kernel.org%2fsources.redhat.com%2fcygwin\release\gcc\gcc-3.3.1-2.tar.bz2
0x1C0; File; 0x00120089; 
\Device\LanmanRedirector\Ishtar\share\software\Cygwin\http%3a%2f%2fmirrors.kernel.org%2fsources.redhat.com%2fcygwin\release\flex\flex-2.5.4a-3.tar.bz2
0x1C4; File; 0x00120089; 
\Device\LanmanRedirector\Ishtar\share\software\Cygwin\http%3a%2f%2fmirrors.kernel.org%2fsources.redhat.com%2fcygwin\release\libxslt\libxslt-1.0.33-1.tar.bz2
0x1C8; File; 0x00120089; 
\Device\LanmanRedirector\Ishtar\share\software\Cygwin\http%3a%2f%2fmirrors.kernel.org%2fsources.redhat.com%2fcygwin\release\nasm\nasm-0.98.38-1.tar.bz2
0x1CC; File; 0x00120089; 
\Device\LanmanRedirector\Ishtar\share\software\Cygwin\http%3a%2f%2fmirrors.kernel.org%2fsources.redhat.com%2fcygwin\release\netcat\netcat-1.10-2.tar.bz2
0x1D0; File; 0x00120089; 
\Device\LanmanRedirector\Ishtar\share\software\Cygwin\http%3a%2f%2fmirrors.kernel.org%2fsources.redhat.com%2fcygwin\release\openssl\openssl-0.9.7c-1.tar.bz2
0x1D4; File; 0x00120089; 
\Device\LanmanRedirector\Ishtar\share\software\Cygwin\http%3a%2f%2fmirrors.kernel.org%2fsources.redhat.com%2fcygwin\release\par\par-1.52-1.tar.bz2
0x1D8; File; 0x00120089; 
\Device\LanmanRedirector\Ishtar\share\software\Cygwin\http%3a%2f%2fmirrors.kernel.org%2fsources.redhat.com%2fcygwin\release\pcre\pcre-devel\pcre-devel-4.4-2.tar.bz2
0x1DC; File; 0x00120089; 
\Device\LanmanRedirector\Ishtar\share\software\Cygwin\http%3a%2f%2fmirrors.kernel.org%2fsources.redhat.com%2fcygwin\release\psutils\psutils-1.17-1.tar.bz2
0x1E0; File; 0x00120089; 
\Device\LanmanRedirector\Ishtar\share\software\Cygwin\http%3a%2f%2fmirrors.kernel.org%2fsources.redhat.com%2fcygwin\release\setsid\setsid-0.0-3.tar.bz2
0x1E4; File; 0x00120089; 
\Device\LanmanRedirector\Ishtar\share\software\Cygwin\http%3a%2f%2fmirrors.kernel.org%2fsources.redhat.com%2fcygwin\release\setup\setup-2.415-1-src.tar.bz2
0x1E8; File; 0x00120089; 
\Device\LanmanRedirector\Ishtar\share\software\Cygwin\http%3a%2f%2fmirrors.kernel.org%2fsources.redhat.com%2fcygwin\release\stunnel\stunnel-4.04-3.tar.bz2
0x1EC; File; 0x00120089; 
\Device\LanmanRedirector\Ishtar\share\software\Cygwin\http%3a%2f%2fmirrors.kernel.org%2fsources.redhat.com%2fcygwin\release\wtf\wtf-0.0.4-4.tar.bz2
0x1F0; File; 0x00120089; 
\Device\LanmanRedirector\Ishtar\share\software\Cygwin\http%3a%2f%2fmirrors.kernel.org%2fsources.redhat.com%2fcygwin\release\XFree86\x2x\x2x-1.27-2.tar.bz2
0x1F4; File; 0x00120089; 
\Device\LanmanRedirector\Ishtar\share\software\Cygwin\http%3a%2f%2fmirrors.kernel.org%2fsources.redhat.com%2fcygwin\release\XFree86\Xaw3d\Xaw3d-1.5E-1.tar.bz2
0x1F8; File; 0x00120089; 
\Device\LanmanRedirector\Ishtar\share\software\Cygwin\http%3a%2f%2fmirrors.kernel.org%2fsources.redhat.com%2fcygwin\release\XFree86\XFree86-bin-icons\XFree86-bin-icons-4.3.0-4.tar.bz2
0x1FC; File; 0x00120089; 
\Device\LanmanRedirector\Ishtar\share\software\Cygwin\http%3a%2f%2fmirrors.kernel.org%2fsources.redhat.com%2fcygwin\release\XFree86\XFree86-f100\XFree86-f100-4.2.0-3.tar.bz2
0x200; File; 0x00120089; 
\Device\LanmanRedirector\Ishtar\share\software\Cygwin\http%3a%2f%2fmirrors.kernel.org%2fsources.redhat.com%2fcygwin\release\XFree86\XFree86-html\XFree86-html-4.3.0-1.tar.bz2
0x204; File; 0x00120089; 
\Device\LanmanRedirector\Ishtar\share\software\Cygwin\http%3a%2f%2fmirrors.kernel.org%2fsources.redhat.com%2fcygwin\release\xmlto\xmlto-0.0.14-1.tar.bz2
0x208; File; 0x00120089; 
\Device\LanmanRedirector\Ishtar\share\software\Cygwin\http%3a%2f%2fmirrors.kernel.org%2fsources.redhat.com%2fcygwin\release\xpm-nox\xpm-nox-4.2.0-4.tar.bz2
0x20C; File; 0x00120089; 
\Device\LanmanRedirector\Ishtar\share\software\Cygwin\http%3a%2f%2fmirrors.kernel.org%2fsources.redhat.com%2fcygwin\release\_update-info-dir\_update-info-dir-00221-1.tar.bz2
0x214; File; 0x00100020; C:\
0x710; File; 0x00120189; \Device\NamedPipe\Win32Pipes.00000b08.00000001
0x764; File; 0x0012019F; C:\var\log\setup.log.postinstallXa01904
0x788; File; 0x00120116; \Device\NamedPipe\Win32Pipes.00000b08.00000001
0x7FC; KeyedEvent; 0x000F0003; \KernelObjects\CritSecOutOfMemoryEvent
0x40; Mutant; 0x00120001; \BaseNamedObjects\DBWinMutex
0x704; Mutant; 0x001F0001;
0x7E8; Port; 0x001F0001;
0x6F4; Process; 0x001F0FFF; bash.exe(3700)
0x74C; Process; 0x001F0FFF; bash.exe(3700)
0x7F8; Process; 0x001F0FFF; bash.exe(1792)
0x73C; Section; 0x000F0007;
0x740; Section; 0x000F0007; \BaseNamedObjects\cygpid.E74
0x758; Section; 0x000F0007;
0x79C; Section; 0x00000006; 
\BaseNamedObjects\cygwin1S3.S-1-5-21-746137067-854245398-1060284298-1003.27
0x7BC; Section; 0x000F0007; \BaseNamedObjects\cygwin1S3.shared.3
0x7DC; WindowStation; 0x000F037F; \Windows\WindowStations\WinSta0
----------------------------------------------------------------------------------------------------------

3 Threads:
tid    cpu    startaddr
1156    00.00    0x77e8148f
    Stack:
        0    ntdll.dll+0x8090304

3268    00.00    ntdll.dll!RtlConvertUiListToApiList+0x1dc
    Stack:
        ntdll.dll!RtlEnterCriticalSection+0x46

144    00.000    ntdll.dll!RtlConvertUiListToApiList+0x1dc
    Stack:
        ntdll.dll!KiUserApcDispatcher+0x7
-----------------------

 

-------

No information available via gdb -- gdb hangs when trying to attach to process. :-/

Now about my cygwin_setup problems....
-l

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/